Bug 1127680 - Cron/Jenkins-client cartridge can't be shown on scalable app when using "rhc app show $app -g" command
Summary: Cron/Jenkins-client cartridge can't be shown on scalable app when using "rhc ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: Qingyu Wang
URL:
Whiteboard:
Depends On:
Blocks: 1128567
TreeView+ depends on / blocked
 
Reported: 2014-08-07 10:42 UTC by Qixuan Wang
Modified: 2017-05-31 18:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1128567 (view as bug list)
Environment:
Last Closed: 2017-05-31 18:22:11 UTC


Attachments (Terms of Use)

Description Qixuan Wang 2014-08-07 10:42:00 UTC
Description of problem:
Add a cron/jenkins-client cartridge to a scalable app, it's works well and can be shown using "rhc app show $app", but can't appear using "rhc app show $appname -g". This issue can't occur on non-scalable app.

Version-Release number of selected component (if applicable):
devenv_5046
rhc-1.28.5

How reproducible:
Always

Steps to Reproduce:
1. Create a scalable app with cron and jenkins-client cartridge
# rhc app create php53s php-5.3 -s cron-1.4 jenkins-client-1
2. Show the app
# rhc app show php53s -g
# rhc app show php53s

Actual results:
[root@qwang us]# rhc app show php53s -g
ID                       State   Cartridges          Size  SSH URL
------------------------ ------- ------------------- ----- -----------------------------------------------------
53e38e0827c7ca4ced000cc0 started php-5.3 haproxy-1.4 small 53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com
[root@qwang us]# rhc app show php53s
php53s @ http://php53s-qwang.dev.rhcloud.com/ (uuid: 53e38e0827c7ca4ced000cc0)
------------------------------------------------------------------------------
  Domain:     qwang
  Created:    10:32 PM
  Gears:      1 (defaults to small)
  Git URL:    ssh://53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com/~/git/php53s.git/
  SSH:        53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com
  Deployment: auto (on git push)
  cron-1.4 (Cron 1.4)
  -------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears
  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with cron-1.4, jenkins-client-1, php-5.3
  jenkins-client-1 (Jenkins Client)
  ---------------------------------
    Gears:   Located with cron-1.4, haproxy-1.4, php-5.3
    Job URL: https://jks-qwang.dev.rhcloud.com/job/php53s-build/
  php-5.3 (PHP 5.3)
  -----------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears


Expected results:
[root@qwang us]# rhc app show php53s -g
ID                       State   Cartridges          Size  SSH URL
------------------------ ------- ------------------- ----- -----------------------------------------------------
53e38e0827c7ca4ced000cc0 started php-5.3 haproxy-1.4 cron-1.4 jenkins-client-1 small 53e38e0827c7ca4ced000cc0@php53s-qwang.dev.rhcloud.com

Additional info:

Comment 1 Wenjing Zheng 2014-08-20 05:26:38 UTC
Also 10gen-mms-agent-0.1 cannot display as below:
[geard@dhcp-128-31 spy27]$ rhc app-show spy27 -g
ID                       State   Cartridges             Size  SSH URL
------------------------ ------- ---------------------- ----- -------------------------------------------------------------------
53f410f703ef64de82000346 started python-2.7 haproxy-1.4 small 53f410f703ef64de82000346@spy27-w.int.rhcloud.com
53f4176803ef64b24200055d started mongodb-2.4            small 53f4176803ef64b24200055d@53f4176803ef64b24200055d-w.int.rhcloud.com
[geard@dhcp-128-31 spy27]$ rhc app-show spy27
spy27 @ http://spy27-w.int.rhcloud.com/ (uuid: 53f410f703ef64de82000346)
------------------------------------------------------------------------
  Domain:     w
  Created:    11:07 AM
  Gears:      2 (defaults to small)
  Git URL:    ssh://53f410f703ef64de82000346@spy27-w.int.rhcloud.com/~/git/spy27.git/
  SSH:        53f410f703ef64de82000346@spy27-w.int.rhcloud.com
  Deployment: auto (on git push)

  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with python-2.7, 10gen-mms-agent-0.1

  python-2.7 (Python 2.7)
  -----------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  10gen-mms-agent-0.1 (10gen Mongo Monitoring Service Agent)
  ----------------------------------------------------------
    Gears:          Located with haproxy-1.4, python-2.7
    Monitoring URL: https://mms.mongodb.com/

  mongodb-2.4 (MongoDB 2.4)
  -------------------------
    Gears:          1 small
    Connection URL: mongodb://$OPENSHIFT_MONGODB_DB_HOST:$OPENSHIFT_MONGODB_DB_PORT/
    Database Name:  spy27
    Password:       BmHWSxBSViC3
    Username:       admin

Comment 2 Vu Dinh 2015-11-25 17:16:36 UTC
I have tested this issue on devenv 5719 and this issue appears to be fixed already.

The output:

[root@ip-178-181-91-151 ~]# rhc app show php53s -g
ID                       State   Cartridges                                    Size  SSH URL
------------------------ ------- --------------------------------------------- ----- -----------------------------------------------------
5655ec1fddc4db591800004b started cron-1.4 haproxy-1.4 jenkins-client-1 php-5.3 small 5655ec1fddc4db591800004b@php53s-vdinh.dev.rhcloud.com
[root@ip-172-18-9-15 ~]# rhc app show php53s
php53s @ http://php53s-vdinh.dev.rhcloud.com/ (uuid: 5655ec1fddc4db591800004b)
------------------------------------------------------------------------------
  Domain:     vdinh
  Created:    12:13 PM
  Gears:      1 (defaults to small)
  Git URL:    ssh://5655ec1fddc4db591800004b@php53s-vdinh.dev.rhcloud.com/~/git/php53s.git/
  SSH:        5655ec1fddc4db591800004b@php53s-vdinh.dev.rhcloud.com
  Deployment: auto (on git push)

  cron-1.4 (Cron 1.4)
  -------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (Web Load Balancer)
  -------------------------------
    Gears: Located with cron-1.4, jenkins-client-1, php-5.3

  jenkins-client-1 (Jenkins Client)
  ---------------------------------
    Gears:   Located with cron-1.4, haproxy-1.4, php-5.3
    Job URL: https://jenkins-vdinh.dev.rhcloud.com/job/php53s-build/

  php-5.3 (PHP 5.3)
  -----------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

Please verify.

Thanks,
Vu

Comment 3 Qixuan Wang 2015-11-26 10:05:46 UTC
Tested on devenv_5723, the bug has been fixed, thanks.

[root@qwang test]# rhc app show php53s -g
ID                       State   Cartridges                                    Size  SSH URL
------------------------ ------- --------------------------------------------- ----- -----------------------------------------------------
5656d8cd1a4c988b00000094 started cron-1.4 haproxy-1.4 jenkins-client-1 php-5.3 small 5656d8cd1a4c988b00000094@php53s-qwang.dev.rhcloud.com

Comment 4 Eric Paris 2017-05-31 18:22:11 UTC
We apologize, however, we do not plan to address this report at this time. The majority of our active development is for the v3 version of OpenShift. If you would like for Red Hat to reconsider this decision, please reach out to your support representative. We are very sorry for any inconvenience this may cause.


Note You need to log in before you can comment on or make changes to this bug.